import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;

import com.silanis.esl.sdk.*;
import com.silanis.esl.sdk.builder.*;
import com.silanis.esl.sdk.io.DownloadedFile;
import com.silanis.esl.sdk.io.Files;

public class customizingSigningCeremony {
	
	//replace api_key placeholder with your own value
	private static String API_KEY = "api_key";
	private static String API_URL = "https://sandbox.e-signlive.com/api";
	
	public static void main(String[] args) throws FileNotFoundException {
		
		EslClient client = new EslClient(API_KEY, API_URL);
		
		InputStream fs = new FileInputStream("DOC_FILE_PATH");
		
		DocumentPackage myPackage = PackageBuilder.newPackageNamed("Customizing Signing Ceremony")
				.withSigner(SignerBuilder.newSignerWithEmail("esl.signer1@gmail.com")
						.withFirstName("John")
						.withLastName("Smith")
						.withCustomId("contractor")
						.signingOrder(1))
				.withSigner(SignerBuilder.newSignerWithEmail("esl.signer2@gmail.com")
						.withFirstName("Mary")
						.withLastName("Doe")
						.withCustomId("client")
						.signingOrder(2))
				.withDocument(DocumentBuilder.newDocumentWithName("Cleaning Contract")
						.fromStream(fs, DocumentType.PDF)
						.enableExtraction())
				.withSettings(DocumentPackageSettingsBuilder.newDocumentPackageSettings()
						.withInPerson()
						.withoutOptOut()
						//.withOptOutReason("Decline terms.")
						.withoutLanguageDropDown()
						.hideOwnerInPersonDropDown()
						.withoutOptOutOther()
						.disableFirstAffidavit()
						.disableSecondAffidavit()
						.withoutDecline()
						.withoutWatermark()
						.withCaptureText()
						.withHandOverLinkHref("http://www.google.com")
						.withHandOverLinkText("Exit to site")
						.withHandOverLinkTooltip("asad")
						.withoutDocumentToolbarDownloadButton()
						//.withDialogOnComplete()
						.withCeremonyLayoutSettings(CeremonyLayoutSettingsBuilder.newCeremonyLayoutSettings()
								.withNavigator()
								.withoutGlobalNavigation()
								.withoutBreadCrumbs()
								.withSessionBar()
								.withTitle()
								.withProgressBar()
								.withGlobalDownloadButton()
								.withoutGlobalSaveAsLayoutButton()
								.withLogoSource("http://www.logo-maker.net/images/common/company-logo8.gif")))
				.build();
		
		PackageId packageId = client.createAndSendPackage(myPackage);
	}

}
